org.eclipse.gef.mvc.fx.parts

## Interface ITransformableContentPart<V extends Node>

Type Parameters:
  `V` - The visual node used by this `ITransformableContentPart`.

All Superinterfaces:
  IActivatable, IAdaptable, IAdaptable.Bound<IViewer>, IContentPart<V>, IDisposable, IVisualPart<V>

All Known Subinterfaces:
  IBendableContentPart<V>

    public interface ITransformableContentPart<V extends Node>
    extends IContentPart<V>

An `IContentPart` that supports content related transformations.

### Property Summary

### Properties inherited from interface org.eclipse.gef.mvc.fx.parts.IContentPart

`contentAnchoragesUnmodifiable, contentChildrenUnmodifiable, content`

### Properties inherited from interface org.eclipse.gef.mvc.fx.parts.IVisualPart

`anchoragesUnmodifiable, anchoredsUnmodifiable, childrenUnmodifiable, parent, refreshVisual`

### Properties inherited from interface org.eclipse.gef.common.adapt.IAdaptable

`adapters`

### Properties inherited from interface org.eclipse.gef.common.adapt.IAdaptable.Bound

`adaptable`

### Properties inherited from interface org.eclipse.gef.common.activate.IActivatable

`active`

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.gef.common.adapt.IAdaptable

`IAdaptable.Bound<A extends IAdaptable>`

### Nested classes/interfaces inherited from interface org.eclipse.gef.common.adapt.IAdaptable.Bound

`IAdaptable.Bound.Impl<T extends IAdaptable>`

### Field Summary

Fields
`static AdapterKey<Provider<? extends Affine>>` `TRANSFORM_PROVIDER_KEY` The adapter key for the `Provider<Affine>` that will be used to obtain the host's `Affine` transformation.
`static String` `TRANSFORM_PROVIDER_ROLE` The role for the adapter key of the `Provider<Affine>` that will be used to obtain the part's `Affine` transformation.

### Fields inherited from interface org.eclipse.gef.mvc.fx.parts.IContentPart

`CONTENT_ANCHORAGES_PROPERTY, CONTENT_CHILDREN_PROPERTY, CONTENT_PROPERTY`

### Fields inherited from interface org.eclipse.gef.mvc.fx.parts.IVisualPart

`ANCHORAGES_PROPERTY, ANCHOREDS_PROPERTY, CHILDREN_PROPERTY, PARENT_PROPERTY, REFRESH_VISUAL_PROPERTY`

### Fields inherited from interface org.eclipse.gef.common.adapt.IAdaptable

`ADAPTERS_PROPERTY`

### Fields inherited from interface org.eclipse.gef.common.activate.IActivatable

`ACTIVE_PROPERTY`

### Method Summary

All Methods Instance Methods Abstract Methods Default Methods
`Affine` `getContentTransform()` Returns the current `Affine` according to this `ITransformableContentPart`'s content.
`default Affine` `getVisualTransform()` Returns the current transform according to this `ITransformableContentPart`'s visual.
`void` `setContentTransform(Affine totalTransform)` Set the content transformation as specified by the given `AffineTransform`.
`default void` `setVisualTransform(Affine totalTransform)` Sets the given `Affine` as the `visual transform` of this `ITransformableContentPart`.

### Methods inherited from interface org.eclipse.gef.mvc.fx.parts.IContentPart

`addContentChild, attachToContentAnchorage, contentAnchoragesUnmodifiableProperty, contentChildrenUnmodifiableProperty, contentProperty, detachFromContentAnchorage, getContent, getContentAnchoragesUnmodifiable, getContentChildrenUnmodifiable, isFocusable, isSelectable, refreshContentAnchorages, refreshContentChildren, removeContentChild, reorderContentChild, setContent`

### Methods inherited from interface org.eclipse.gef.mvc.fx.parts.IVisualPart

`addChild, addChild, addChildren, addChildren, anchoragesUnmodifiableProperty, anchoredsUnmodifiableProperty, attachAnchored, attachToAnchorage, attachToAnchorage, childrenUnmodifiableProperty, detachAnchored, detachFromAnchorage, detachFromAnchorage, getAnchoragesUnmodifiable, getAnchoredsUnmodifiable, getBehaviors, getChildrenUnmodifiable, getHandlers, getParent, getPolicies, getRoot, getViewer, getVisual, isRefreshVisual, parentProperty, refreshVisual, refreshVisualProperty, removeChild, removeChildren, reorderChild, setParent, setRefreshVisual`

### Methods inherited from interface org.eclipse.gef.common.adapt.IAdaptable

`adaptersProperty, getAdapter, getAdapter, getAdapter, getAdapterKey, getAdapters, getAdapters, getAdapters, setAdapter, setAdapter, setAdapter, setAdapter, unsetAdapter`

### Methods inherited from interface org.eclipse.gef.common.adapt.IAdaptable.Bound

`adaptableProperty, getAdaptable, setAdaptable`

### Methods inherited from interface org.eclipse.gef.common.activate.IActivatable

`activate, activeProperty, deactivate, isActive`

### Methods inherited from interface org.eclipse.gef.common.dispose.IDisposable

`dispose`

### Field Detail

#### TRANSFORM_PROVIDER_ROLE

    static final String TRANSFORM_PROVIDER_ROLE

The role for the adapter key of the `Provider<Affine>` that will be used to obtain the part's `Affine` transformation.

See Also:
  Constant Field Values

#### TRANSFORM_PROVIDER_KEY

    static final AdapterKey<Provider<? extends Affine>> TRANSFORM_PROVIDER_KEY

The adapter key for the `Provider<Affine>` that will be used to obtain the host's `Affine` transformation.

### Method Detail

#### getContentTransform

    Affine getContentTransform()

Returns the current `Affine` according to this `ITransformableContentPart`'s content.

Returns:
  The current `Affine` according to this `ITransformableContentPart`'s content.

#### getVisualTransform

    default Affine getVisualTransform()

Returns the current transform according to this `ITransformableContentPart`'s visual.

Returns:
  The current transform according to this `ITransformableContentPart`'s visual.

#### setContentTransform

    void setContentTransform(Affine totalTransform)

Set the content transformation as specified by the given `AffineTransform`.

Parameters:
  `totalTransform` - The `AffineTransform` to set.

#### setVisualTransform

    default void setVisualTransform(Affine totalTransform)

Sets the given `Affine` as the `visual transform` of this `ITransformableContentPart`.

Parameters:
  `totalTransform` - The `Affine` that is to be set as the `visual transform` of this `ITransformableContentPart`.